For AI agents: The documentation index is at https://docs.digitalocean.com/llms.txt. Markdown versions of pages use the same URL with index.html.md in place of the HTML page (for example, append index.html.md to the directory path instead of opening the HTML document).
Usage
client.mcp_servers.get(server_ref="docs")
Returns JSONRaises HttpResponseError
Description
Returns one of your team’s MCP servers, or 404 when your team has none with this serverRef.
Parameters
server_ref string required
Server identifier (serverRef) of one of your team's MCP servers.
Response Example
Show Response Example
{
"mcpServer": {
"serverRef": "docs",
"endpoint": "https://mcp.example.com/mcp",
"transport": "streamable_http",
"credentialRefSource": "secret",
"credentialRef": "action-infra/tool-credentials/mcp/docs/3f5b2c1e-9a7d-4e8b-b6c4-2d1f0e9a8b7c",
"syncStatus": "ok",
"syncError": "",
"lastSyncedAt": "2026-09-20T15:04:05Z",
"protocolVersion": "2025-06-18",
"toolCount": 2,
"createdAt": "2026-09-20T15:00:00Z",
"updatedAt": "2026-09-20T15:04:05Z",
"description": "Internal documentation search.",
"oauth_authorize_url": "",
"oauth_scopes": [],
"oauth_authorization_ttl_seconds": "0"
}
}
See /v2/action-gateway/mcp-servers/{server_ref} in the API reference for additional detail on responses, headers, parameters, and more.